diff scripts/fc-rfcal-tri900 @ 90:713749548df6

fc-rfcal-tri900 script and fc-rfcal-tee helper implemented
author Mychaela Falconia <falcon@freecalypso.org>
date Mon, 17 Jul 2017 05:51:31 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/fc-rfcal-tri900	Mon Jul 17 05:51:31 2017 +0000
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+case $# in
+	1)
+		;;
+	2)
+		if [ ! -d "$2" ]
+		then
+			echo "error: specified report dir $2 is bad" 1>&2
+			exit 1
+		fi
+		;;
+	*)
+		echo "usage: $0 txlevels-profile [report-dir]" 1>&2
+		exit 1
+		;;
+esac
+
+profile_dir=/opt/freecalypso/rfcal/txlevels
+
+if [ ! -f "$profile_dir/$1-900" ]
+then
+	echo "error: $profile_dir/$1-900 profile missing" 1>&2
+	exit 1
+fi
+
+if [ ! -f "$profile_dir/$1-1800" ]
+then
+	echo "error: $profile_dir/$1-1800 profile missing" 1>&2
+	exit 1
+fi
+
+if [ ! -f "$profile_dir/$1-1900" ]
+then
+	echo "error: $profile_dir/$1-1900 profile missing" 1>&2
+	exit 1
+fi
+
+report_dir="$2"
+
+run_cmd() {
+	if [ -n "$report_dir" ]
+	then
+		fc-rfcal-tee "$1" "$report_dir/$2"
+	else
+		eval "$1"
+	fi
+	rc=$?
+	if [ $rc != 0 ]
+	then
+		echo "error: $1 returned $rc" 1>&2
+		exit $rc
+	fi
+}
+
+run_cmd fc-rfcal-vcxo vcxo
+run_cmd "fc-rfcal-rxband 900" rx-900
+run_cmd "fc-rfcal-rxband 1800" rx-1800
+run_cmd "fc-rfcal-rxband 1900" rx-1900
+run_cmd "fc-rfcal-txband 900 $1" tx-900
+run_cmd "fc-rfcal-txband 1800 $1" tx-1800
+run_cmd "fc-rfcal-txband 1900 $1" tx-1900